%--------------------------------------
function yinit = Finitwithproduction2_nop(x)
global rho sigma sigmasqr lambda gamma A phi r elbarnew wlbarnew qinf pinf plbarnew qlbarnew eubar solF

%no debt case
% beta1=(B*deltabar-Bfb*deltab)/(deltabar-deltab);
%  yinit = [  Bfb*(x-deltab)
%            beta1];

  %pprime=(pinf-plbarnew)/(eubar-elbarnew);
  %qprime=(qinf-qlbarnew)/(eubar-elbarnew);
  if x<solF.x(1)
      yinit=[qlbarnew;0];
  else
    yinit = deval(solF,x);
  end
%  pprime=0;qprime=0;
%    yinit = [ pinf+pprime*x
%        qinf+qprime*x
%       pprime
%       qprime];

%  prime=0;
%   yinit = [ wlbarnew+prime*x
%       prime];